using System;

namespace takmicenje_2_br_2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int m = int.Parse(Console.ReadLine());
            int z = 2 * n + 2 *m - 4;
            int s = n * m - z;
            Console.WriteLine(s / 2 + z);
            Console.ReadLine();
        }
    }
}